<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<?php
  // fastcgi-php friendly getRedirEnv()
  // replaces getenv($var) or $_SERVER[$var]
  function getRedirEnv( $var )
  {
    if (getenv($var)) return getenv($var);
    if (getenv('REDIRECT_'.$var)) return getenv('REDIRECT_'.$var);
    // httpd can rewrite vars on redirects, this is the most common case
    $var = preg_replace('/-/','_',$var);
    if (getenv($var)) return getenv($var);
    if (getenv('REDIRECT_'.$var)) return getenv('REDIRECT_'.$var);
    return FALSE;
  }
?>
<head>
  <title>SP Test Page</title>
</head>

<body>
  <?php if (getRedirEnv('Shib-Session-ID')) { ?>

    <h3>Login Success!</h3>

    <p>Welcome! 
    Your EPPN is <b><?php print getRedirEnv('SHIB_EPPN'); ?></b>,<br />
    and your affiliation is
    <b><?php print getRedirEnv('SHIB_AFFILIATION'); ?></b>.</p>

  <?php } else { ?>

    <h3>Not Logged In</h3>

  <?php } ?>

  <h4>Environment Dump</h4>

  <pre>
    <?php print_r($_SERVER) ?>
  </pre>

</body>
</html>
